Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.jdbc
Interface WorkExecutorVisitable<T>

All Known Implementing Classes:
  AbstractReturningWork, AbstractWork

    public interface WorkExecutorVisitable<T>

This interface provides a way to execute unrelated "work" objects using polymorphism. Instances of this interface can accept a `WorkExecutor` visitor for executing a discrete piece of work, and return an implementation-defined result.

Method Summary
`T` | `accept(WorkExecutor<T> executor, Connection connection)` Accepts a `WorkExecutor` visitor for executing a discrete piece of work, and returns an implementation-defined result..

Method Detail

### accept

    T accept(WorkExecutor<T> executor,
             Connection connection)
             throws SQLException

  Accepts a `WorkExecutor` visitor for executing a discrete piece of work, and returns an implementation-defined result..

  Parameters:
    `executor` - The visitor that executes the work.
    `connection` - The connection on which to perform the work.
  Returns:
    an implementation-defined result
  Throws:
    `SQLException` - Thrown during execution of the underlying JDBC interaction.
    `HibernateException` - Generally indicates a wrapped SQLException.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.